<?php

namespace Itguild\PhpCgSelect;

class CGSelect
{
    protected $driver;

    public function __construct(string $selector, array $options = [])
    {
        $this->driver = new CGSelectDriver($selector, $options);
    }

    /**
     * @return string
     */
    public function getJS(): string
    {
        return $this->driver->getJS();
    }

    /**
     * @param $version
     * @return void
     */
    public static function renderCDN($version = 'latest'): void
    {
        CGSelectDriver::renderCDN($version);
    }

}